Try adding as many as these features as you can manage:
=========

- Update to ES6 Classes instead of function components
- Use FlatList to display messages
- Make messages grow for larger text
- Add Text Field on button to enter chat messages into the chat
- Align your messages to the right and everyone else to the left
- Group username headers so if the same person chats multiple times in a row it only shows once
- Add date like username is listed (grouped as above)
- Add multiple "Chat Channels" and a intro screen with a list of channels and the option to create a new one (new - ones will have fake users added)
- Store Channel state in a new redux state
- Autogrow text input when adding new entries
- Autoscroll to bottom when new message arrives
- Prevent autoscroll if scrolled upwards viewing history (exception - when you send a new message)
- Change your email address in the chat
- Add speech bubble image behind each chat message
- Open "User page" by tapping on user image (just email and gravatar image)
- Add styling to show different colors for your message or theirs
- Replace any 4-letter words with '****', and for censoring, would you do this on sending the message , on entering it in the store or when displaying it and why?

Bonus:
- Add Typescript


